| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TwoTempPlasmaData Struct Reference

Data container holding shared data specific to TwoTempPlasmaRate. More...

`#include <TwoTempPlasmaRate.h>`

Inheritance diagram for TwoTempPlasmaData:
[legend]

## Detailed Description

Data container holding shared data specific to TwoTempPlasmaRate.

The data container `TwoTempPlasmaData` holds precalculated data common to all `TwoTempPlasmaRate` objects.

Definition at line 20 of file TwoTempPlasmaRate.h.

## Public Member Functions
bool | update (const ThermoPhase &phase, const Kinetics &kin) override
| Update data container based on thermodynamic phase state.
void | update (double T) override
| Update data container based on temperature T
void | update (double T, double Te) override
| Update data container based on temperature T and an extra parameter.
virtual void | updateTe (double Te)
void | invalidateCache () override
| Force shared data and reaction rates to be updated next time.
virtual void | update (double T)
| Update data container based on temperature T
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter.
virtual void | update (double T, const vector< double > &extra)
| Update data container based on temperature T and a vector parameter extra
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state.
Public Member Functions inherited from ReactionData
void | perturbTemperature (double deltaT)
| Perturb temperature of data container.
virtual void | restore ()
| Restore data container after a perturbation.
virtual void | resize (size_t nSpecies, size_t nReactions, size_t nPhases)
| Update number of species, reactions and phases.

## Public Attributes
double | electronTemp = 1.0
| electron temperature
double | logTe = 0.0
| logarithm of electron temperature
double | recipTe = 1.0
| inverse of electron temperature
Public Attributes inherited from ReactionData
double | temperature = 1.0
| temperature
double | logT = 0.0
| logarithm of temperature
double | recipT = 1.0
| inverse of temperature

## Additional Inherited Members
Protected Attributes inherited from ReactionData
double | m_temperature_buf = -1.0
| buffered temperature

## Member Function Documentation

## ◆ update() [1/7]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| override virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

Definition at line 13 of file TwoTempPlasmaRate.cpp.

## ◆ update() [2/7]

void update | ( | double | T | ) |
| override virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 29 of file TwoTempPlasmaRate.cpp.

## ◆ update() [3/7]

void update | ( | double | T,
|  | double | extra
| ) |  |
| override virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 35 of file TwoTempPlasmaRate.cpp.

## ◆ updateTe()

void updateTe | ( | double | Te | ) |
| virtual

Definition at line 41 of file TwoTempPlasmaRate.cpp.

## ◆ invalidateCache()

void invalidateCache | ( |  | ) |
| inline override virtual

Force shared data and reaction rates to be updated next time.

This is called by functions that change quantities affecting rate calculations that are normally assumed to be constant, like the reaction rate parameters or the number of reactions.

Reimplemented from ReactionData.

Definition at line 31 of file TwoTempPlasmaRate.h.

## ◆ update() [4/7]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 36 of file ReactionData.h.

## ◆ update() [5/7]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 48 of file ReactionData.h.

## ◆ update() [6/7]

virtual void update | ( | double | T,
|  | const vector< double > & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from ReactionData.

Definition at line 62 of file ReactionData.h.

## ◆ update() [7/7]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

## Member Data Documentation

## ◆ electronTemp

double electronTemp = 1.0

electron temperature

Definition at line 36 of file TwoTempPlasmaRate.h.

## ◆ logTe

double logTe = 0.0

logarithm of electron temperature

Definition at line 37 of file TwoTempPlasmaRate.h.

## ◆ recipTe

double recipTe = 1.0

inverse of electron temperature

Definition at line 38 of file TwoTempPlasmaRate.h.

The documentation for this struct was generated from the following files:

- TwoTempPlasmaRate.h
- TwoTempPlasmaRate.cpp